Subject: Re: [PATCH] Doc: note minimum scissors line length for mailinfo

From: [email-masked]
Date: Mon, 28 Sep 2020 11:35:59 -0700

Hi,

Evan Gates wrote:

> There is a comment in is_scissors_line describing the requirements for
> a line to be considered a scissors line.  While the existing wording
> covers most of the requirements, there was no mention of minimum size.
>
> Signed-off-by: Evan Gates <[email-masked]>
> ---
> This comes up after I tried to use --8<-- as scissors but git am didn't
> recognize it because it's only 6 bytes.  I couldn't figure out why until
> I cloned git and checked the source.

Thanks for following through.  It's probably worth mentioning this
example ("--8<--") in the commit message as well.

[...]
> --- a/Documentation/git-mailinfo.txt
> +++ b/Documentation/git-mailinfo.txt
> @@ -74,11 +74,11 @@ conversion, even with this flag.
>  --scissors::
>  	Remove everything in body before a scissors line.  A line that
>  	mainly consists of scissors (either ">8" or "8<") and perforation
> -	(dash "-") marks is called a scissors line, and is used to request
> -	the reader to cut the message at that line.  If such a line
> -	appears in the body of the message before the patch, everything
> -	before it (including the scissors line itself) is ignored when
> -	this option is used.
> +	(dash "-") marks and is at least 8 bytes long ("-- >8 --") is

nit: I think "characters" instead of "bytes" would focus a bit more on
the intent.  It's true that characters and bytes coincide in this
example, but using characters might be a bit more in the terms that
the user is already thinking in.

By the way, is this the right criterion?  Perhaps an alternative
method would be to make "--8<--" count as a scissors like after all.
What do you think?

> +	called a scissors line, and is used to request the reader to cut
> +	the message at that line.  If such a line appears in the body
> +	of the message before the patch, everything before it (including
> +	the scissors line itself) is ignored when this option is used.
>  +
>  This is useful if you want to begin your message in a discussion thread
>  with comments and suggestions on the message you are responding to, and to

With the commit message and wording tweaks listed above,
Reviewed-by: Jonathan Nieder <[email-masked]>

Thanks.